<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="style.css">
    <script src="https://unpkg.com/vue"></script>
    <script src="form.vue" defer></script>
    <script src="logic.js" defer></script>



  </head>
  <body>






                    <div class="form">
                      <h1 v-if="!status">Send a message!</h1>

                      <form v-if="!status" @submit="sendForm">
                        <input
                          type="email"
                          name="email"
                          v-model="email"
                          placeholder="Enter your email..."
                          required
                        />
                        <input
                          type="text"
                          name="message"
                          v-model="message"
                          placeholder="Leave a message..."
                          required
                        />
                        <button type="submit">Send</button>
                      </form>

                      <h1 v-if="status === 'success'">Thank you, we got your submission!</h1>
                      <h1 v-if="status === 'error'">
                        Oops, something went wrong. Please try again.
                      </h1>
                    </div>


                  <script>
                    export default {
                      name: 'Form',
                      data: function () {
                        return {
                          status: null,
                          email: null,
                          message: null,
                        }
                      },
                      methods: {
                        sendForm: function (event) {
                          event.preventDefault()

                          fetch('https://formcarry.com/s/ztszNh-1Ms', {
                            method: 'POST',
                            headers: {
                              'Content-Type': 'application/json',
                              Accept: 'application/json',
                            },
                            body: JSON.stringify({ email: this.email, message: this.message }),
                          })
                            .then((response) => response.json())
                            .then((response) => {
                              if (response.code === 200) {
                                this.status = 'success'
                              } else {
                                // Formcarry error
                                this.status = 'error'
                              }
                            })
                            // network error
                            .catch(() => (this.status = 'error'))
                        },
                      },
                    }
                  </script>

                  <style>
                    .form form {
                      display: flex;
                      flex-direction: column;
                      max-width: 100%;
                      width: 480px;
                      padding: 24px;
                      margin: 0 auto;
                    }

                    .form input {
                      margin-bottom: 16px;
                    }
                  </style>
          







                        <!-- app -->





    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js" integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T" crossorigin="anonymous"></script>
  </body>
</html>
